ProcessMaker 4.0.17 Release Notes

ProcessMaker version 4.0.17 Release Notes

Overview

Release Date: January 8, 2021

ProcessMaker is proud to announce the immediate availability of ProcessMaker version 4.0.17. This update addresses one bug fix.

The ProcessMaker 4 platform makes it easy to create business processes that have the power of applications with our low-code approach using our BPMN 2.0-compliant suite of services so that you can design and deploy automated workflows that deliver true digital agility to your organization.

This document contains Release Notes for the following:

  • Core product: ProcessMaker version 4.0.17 core-product functionality that is the ProcessMaker open-source edition.

  • Non-core packages: ProcessMaker version 4 packages that extend core-product functionality. Packages are not available in the ProcessMaker open-source edition, but are available to customers that purchase or subscribe to ProcessMaker version 4. Release Notes that affect package functionality are documented with the core product section that the feature, improvement, bug fix, or known issue affects.

Release notes are cumulative, and document new features, improvements, bug fixes, and/or known issues associated with this release unless otherwise noted.

Core Product Versions

ProcessMaker version 4.0.17 core product uses the following versions:

  • Nayra BPMN 2.0 engine: 1.1.2

  • ProcessMaker BPMN Moddle: 0.7.0

  • ProcessMaker Query Language (PMQL): Version 1.1.3

  • Process Modeler: Version 1.1.2

  • Screen Builder: Version 1.1.13

  • Script Executor for JavaScript: 1.0.1

  • Script Executor for Lua: 1.0.0

  • Script Executor for PHP: 1.0.0

  • Vue Screen Builder Form Elements: 0.15.8

Non-Core Package Versions

The following are the non-core package versions at the time of this release:

  • Actions By Email: package-actions-by-email 1.2.0

  • Advanced Forms: package-advancedforms 1.1.4

  • Auth: package-auth-auth0 1.0.1

  • Auth SAML: package-auth-saml 1.3.0

  • Collections: package-collections 1.6.4

  • Comments: package-comments 1.0.3

  • Data Connectors: package-data-sources 1.0.20

  • Dynamic UI: package-dynamic-ui 1.0.1

  • File Manager: package-files 1.1.5

  • Google Places: package-googleplaces 1.1.3

  • PDF Generator Connector: connector-pdf-print 1.4.0

  • Process Documenter: package-process-documenter 1.0.3

  • Process Optimization: package-process-optimization 1.0.3

  • Salesforce Connector: connector-salesforce 1.1.1

  • Saved Searches: package-savedsearch 1.9.5

  • Script Executor for C#: docker-executor-csharp 1.0.1

  • Script Executor for Java: docker-executor-java 1.0.1

  • Script Executor for Python: docker-executor-python 1.0.0

  • Script Executor for R: docker-executor-r 1.0.0

  • Send Email Connector: connector-send-email 1.2.4

  • Sentry: package-sentry 1.0.2

  • Signature: package-signature 1.0.0

  • Slack Notification Connector: connector-slack 1.0.5

  • Translations: package-translations 2.0.5

  • Versioning: package-versions 1.0.5

  • Vocabularies: package-vocabularies 2.3.0

  • Web Entry: package-webentry 1.2.5

Links to System Requirements and Special Instructions

Bug Fix

This section documents one bug fix in conjunction with ProcessMaker version 4.0.17.

This section documents bug fixes to the following, of which the issue(s) referenced are not publicly available:

  • Non-core ProcessMaker packages GitHub repositories

  • References that are only available to individuals who have permission settings to view FOUR project Jira tickets at ProcessMaker

Screen Builder

  1. FOUR-2550: Controls that are required within nested multi-page ProcessMaker Screens properly validate.